
Redmine - Defect #8723

Emails not getting send to all

2011-06-30 15:48 - Geet Gangwar

Status: Closed Start date: 2011-06-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I created one issue in my project and assinged that issue to my colleague but the email notification mail gets send to only me and not

to the collegue to whom the issue is assigned.

The defaul setting for Email notification is "Only for things I watch or I'm involved in"

I have enable the mail dump for production log in config/environments/production.rb by commenting out line

config.action_mailer.logger = nil

The log which I get is given below:

Processing IssuesController#update (for 172.20.103.20 at 2011-07-01 00:36:02) [PUT]

Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"Submit", "notes"=>"", "action"=>"update",

"_method"=>"put", "authenticity_token"=>"u7HKQ9slGO1UdXTOV+jzwDMM5nDXHPNg7rKbOfihfL0=", "id"=>"655",

"issue"=>{"deliverable_id"=>"", "start_date"=>"2011-06-30", "estimated_hours"=>"", "parent_issue_id"=>"", "priority_id"=>"5",

"lock_version"=>"9", "done_ratio"=>"0", "assigned_to_id"=>"5", "subject"=>"test mail", "tracker_id"=>"2", "due_date"=>"",

"description"=>"xsd"}, "controller"=>"issues", "attachments"=>{"1"=>{"description"=>""}}}

Sending email notification to: geet.gangwar@irisindia.net

Sent mail to

Redirected to http://redmine.irisindia.net/issues/655

Completed in 380ms (DB: 32) | 302 Found [http://redmine.irisindia.net/issues/655]

I am not able to see any of the recipients in Sent mail to field.

I have just upgraded my redmine from 0.9 to 1.2.

My current setup info is given below:

1. Database version : Mysql 5

2. Ruby version     : 1.8.7

3. Rails version    : 2.3.11

4. Redmine version  : 1.2

History

#1 - 2011-06-30 17:20 - Etienne Massip

What's your colleague user profile "Email notifications" setting value ?

#2 - 2011-07-01 06:52 - Geet Gangwar

The original setting for my colleague was "For any event on all my projects".

Now I changed to "Only for things I watch or I'm involved in" or "For any event on the selected project only" the mail was sent to him.

Is there any particular setting to be done for manager and developer role for email notification ?

#3 - 2011-07-01 09:27 - Etienne Massip

No.

So it's working again, right ?

If you switch back your colleague setting to "For any event on all my projects", will he receive notifications now ?
#4 - 2011-07-01 10:59 - Geet Gangwar

Yes, Now when I switched back to "For any event on all my projects" the email is sent, but it not happening initially. Is there any specific setting to do

in redmine 1.2

#5 - 2011-07-04 10:00 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Nope.

If another of your colleagues has the same issue, could you please post here the mail_notification column contents of the matching users record

before changing its setting and reopen the issue ?

#6 - 2011-10-25 12:39 - Steven Goforth

SPAM
